Skip to main content

Validate Otp​

Validates the OTP passed by user against a specific session id

Path Parameters
    apiId Apiid required
Request Body required

1SB Get OTP Request

    Distributor object

    Return a JSON object with latitude and longitude properties to point to location of user.

    distributorID string

    Possible values: <= 20 characters

    Distributor ID assigned to each consumer by 1SB.

    agentID string

    Possible values: <= 20 characters

    PoSP code or SP code or Brokder Qualified Person.

    salesChannel string

    Possible values: <= 20 characters

    This is used by insurance companies to identify sales channel.

    varFields object[]

    varField array hold any additional data related to Distributor

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
  • insuranceCompanyCode string

    Possible values: <= 15 characters

    The code to identify for which insurance company this proposal belongs to.

    applicationNo string

    Possible values: <= 100 characters

    Reference number generated on submitting the proposal.

    policyNo string

    Possible values: <= 100 characters

    Policy reference number.

    quoteId string

    Possible values: <= 100 characters

    Reference number generated on submitting the proposal.

    UITrackingRefNo string

    UI tracking Reference Number .

    OTPDetails object
    OTP string

    Possible values: <= 10 characters

    Enter OTP.

    OTPTransactionId string

    OTP Transaction Id.

    varFields object[]

    varField array hold any additional data

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
Responses

Successful Response


Schema
    OTPAccepted boolean

    Yes/No.

    reason string

    Field populate only when OTP Accepted = No.

Loading...